[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'sysutils' (#rtl)

# StrToFloatDef

Convert a string to a float, with a default value.

## Declaration

Source position: sysstrh.inc line 198

`function StrToFloatDef(`
`const S: string;`
`const Default: Extended`
`):Extended; function StrToFloatDef(`
`const S: string;`
`const Default: Extended;`
`const FormatSettings: TFormatSettings`
`):Extended;`

## Description

StrToFloatDef tries to convert the string S to a floating point value, and returns this value. If the conversion fails for some reason, the value Default is returned instead.

## Errors

None. On error, the Default value is returned.